syn region texRefZone   matchgroup=texRefZone start="\\[acefmptl]label{"          end="}\|%stopzone\>" contains=@texRefGroup
syn region texRefZone   matchgroup=texRefZone start="\\[aAcCeEfFmMpPtTlL][rvx]\=ref{"  end="}\|%stopzone\>" contains=@texRefGroup

syn region texMyForeign matchgroup=texTypeStyle start="\\foreign{" end="}" contains=texMatcher,@NoSpell
syn cluster texFoldGroup add=texMyForeign
syn cluster texMatchGroup add=texMyForeign

syn region texMyTTerm matchgroup=texTypeStyle start="\\tterm{" end="}" contains=texMatcher,@NoSpell
syn cluster texFoldGroup add=texMyTTerm
syn cluster texMatchGroup add=texMyTTerm

syn region texTodoCmd   matchgroup=texTodoCmd start="\\todo{" end="}\|%stopzone\>" contains=@texMatchGroup,@NoSpell,texMatcher
syn cluster texFoldGroup add=texTodoCmd
syn cluster texMatchGroup add=texTodoCmd
hi def link texTodoCmd texTodo

syn match texCiteNeeded '\\citeneeded\ze:\=\>'
syn cluster texFoldGroup add=texCiteNeeded
syn cluster texMatchGroup add=texCiteNeeded
hi def link texCiteNeeded texTodo

syn region texHighlit matchgroup=texHighlit start="\\highlit{" end="}\|%stopzone\>" contains=@texMatchGroup
syn cluster texFoldGroup add=texHighlit
syn cluster texMatchGroup add=texHighlit
hi def link texHighlit Highlit

syn region texDLMsg matchgroup=texDLMsg start="\\d[lp]msg{" end="}\|%stopzone\>" contains=@NoSpell
syn cluster texFoldGroup add=texDLMsg
syn cluster texMatchGroup add=texDLMsg

syn match texMySection '^\\section{.*'
syn match texMySubSection '^\\subsection{.*'
syn match texMySubSubSection '^\\subsubsection{.*'
syn match texMyParagraph '^\\paragraph{.*'
hi texMySection		ctermbg=gray	ctermfg=white	cterm=bold	term=reverse
hi texMySubSection	ctermbg=cyan	ctermfg=black	cterm=none	term=reverse
hi texMySubSubSection	ctermbg=none	ctermfg=blue	cterm=bold	term=reverse
hi texMyParagraph	ctermbg=none	ctermfg=black	cterm=bold	term=reverse
